/*!
Theme Name: Kaffen Child
Theme URI: https://bslthemes.com/
Author: bslthemes
Author URI: https://themeforest.net/user/bslthemes
Description: Kaffen - Restaurant & Cafe WordPress Theme
Version: 1.0.1
License: General Public License
License URI: http://www.gnu.org/licenses/gpl.html
Template: kaffen
Text Domain: kaffen-child
Tags: full-width-template, editor-style, featured-images, sticky-post, threaded-comments, translation-ready, theme-options
*/
body {
  overflow: auto;
  height: 100% !important;
}
.kf-footer {
  overflow: hidden;
}
.kf-cart-btn .cart-widget .buttons a,
.wc-forward {
  background: #996b41 !important;
}
.wc-block-components-button {
  background: #996b41;
}
.p-Tabs-panel label {
  color: #9ea1a2;
}
.post-type-archive-product .product-grid-item img,
.tax-product_cat .product-grid-item img {
  object-fit: contain !important;
}
.woocommerce div.product .button.single_add_to_cart_button,
.woocommerce-js div.product .button.single_add_to_cart_button {
  background: #966c43 !important;
}
.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles))
  button.button.disabled {
  padding: 0 20px;
}
.woocommerce .products div.product .price,
.woocommerce div.product p.price,
.woocommerce div.product span.price,
.woocommerce-js .products div.product .price,
.woocommerce-js div.product p.price,
.woocommerce-js div.product span.price {
  color: #966c43;
}
.archive .quote,
.single-product .quote {
  display: flex;
}
.archive .quote-container,
.single-product .quote-container {
  display: flex;
  width: 66%;
  padding: 20px;
  background: #986b41;
  border-radius: 5px;
  gap: 20px;
  margin-bottom: 40px;
}
.archive .quote-container img,
.single-product .quote-container img {
  width: 100px;
}
.archive .quote-container .quote-content p,
.single-product .quote-container .quote-content p {
  font-family: "Roboto";
  font-size: 20px;
  color: #fff;
  margin: 0;
}
section#card-shop-page {
  padding: 70px 50px;
}
@media only screen and (max-width: 767px) {
  .archive .kf-started-inner {
    height: 300px !important;
  }
}
.single-product .kf-started-inner {
  height: 300px;
}
.single-product .kf-started-inner .kf-parallax-bg {
  background-image: url(https://cherrybeans.com.au/wp-content/uploads/2024/09/AdobeStock_282246326.webp) !important;
}

.woocommerce-cart .wc-block-components-panel__button:before,
.woocommerce-checkout .wc-block-components-panel__button:before {
  content: none;
}
.woocommerce-cart .wc-block-components-panel__button:hover,
.woocommerce-checkout .wc-block-components-panel__button:hover {
  color: #996b41;
}
.woocommerce-cart .wc-block-cart__submit-container a:hover {
  text-decoration: none;
}
.woocommerce-cart
  .wc-block-cart__submit-container
  a:hover
  .wc-block-components-button__text {
  color: #996b41;
  z-index: 1;
}
.woocommerce-cart .wc-block-cart__submit-container a {
  background: #996b41;
  border-radius: 5px;
  overflow: hidden;
}
.woocommerce-cart .wc-block-cart__submit-container a:before {
  content: "";
  position: absolute;
  left: -20%;
  top: -50%;
  width: 120%;
  height: 120%;
  background: #fff;
  -o-transition: all 0.7s cubic-bezier(0.3, 0, 0.3, 1);
  transition: all 0.7s cubic-bezier(0.3, 0, 0.3, 1);
  -webkit-transition: all 0.7s cubic-bezier(0.3, 0, 0.3, 1);
  transform: translate3d(0, -100%, 0) skew(-10deg, -10deg);
  -webkit-transform: translate3d(0, -100%, 0) skew(-10deg, -10deg);
}
.woocommerce-cart .wc-block-cart__submit-container a:hover:before {
  top: -20%;
  transform: translate3d(0, 0, 0) skew(0deg);
  -webkit-transform: translate3d(0, 0, 0) skew(0deg);
}
.wc-block-components-address-form button:before {
  content: none;
}
.wc-block-components-address-form button:hover {
  color: #996b41;
}
.cart-widget .elementor-menu-cart__product-image.product-thumbnail {
  position: relative;
}
.cart-widget .elementor-menu-cart__product-image.product-thumbnail img {
  height: 120px;
  object-fit: contain;
  position: absolute;
  left: 0;
  width: auto;
}

/* Always show number input spinners */
input[type="number"]::-webkit-inner-spin-button,
input[type="number"]::-webkit-outer-spin-button {
  opacity: 1;
  -webkit-appearance: inner-spin-button !important;
  margin: 0;
}

/* Fix height so they are clickable */
input[type="number"] {
  -moz-appearance: number-input;
}
p#dynamic-total-price {
  font-size: 30px;
  font-family: "Oswald";
  color: #966c43;
  font-weight: 400 !important;
}

.woocommerce button.kf-btn.button.alt.checkout-button {
  background-color: #966c42 !important;
  margin-left: 20px;
  color: #ffffff;
}
.woocommerce button.kf-btn.button.alt.checkout-button:hover {
  color: #966c42 !important;
}

/* Remove shp page banner */
.post-type-archive-product .kf-started-inner {
  display: none;
}
.woocommerce-page .kf-started-inner .container {
  padding: 0 50px;
}

/* Product page -checkout burton*/
.woocommerce-variation-add-to-cart a.button.checkout-button {
    padding: 0 20px !important;
    height: 50px;
    display: flex !important;
    align-items: center;
    justify-content: center;
}
.guest-checkout a {
    padding: 16px 20px !important;
    height: 50px;
}
.wc-block-cart__payment-options li {
    list-style: none !important;
}
.wc-block-cart__payment-options li::marker {
	display: none !important;
}
.wc-block-components-checkout-place-order-button {
    height: 50px !important;
}

/* Disable preloader on Products > Cart > Cehckout */
body.single-product .preloader,
body.woocommerce-cart .preloader,
body.woocommerce-checkout .preloader {
    display: none !important;
}

body.woocommerce-account .section.kf-archive-started,
body.woocommerce-cart .section.kf-archive-started,
body.woocommerce-checkout .section.kf-archive-started,
body.woocommerce-order-received .section.kf-archive-started {
    padding-top: 40px !important;
}
